
HEADERS = \
	../src/cmd_parse.hpp \
	../src/dialog_alsa_config.hpp \
	../src/dialog_info.hpp \
	../src/dialog_settings.hpp \
	../src/extra/prober.hpp \
	../src/extra/prober_overlay.hpp \
	../src/init_globals.hpp \
	../src/main_mixer_window.hpp \
	../src/main_view.hpp \
	../src/main_view_info.hpp \
	../src/main_view_mixer_ctl.hpp \
	../src/main_view_mixer_simple.hpp \
	../src/message_widget.hpp \
	../src/mini_mixer.hpp \
	../src/mini_mixer_settings.hpp \
	../src/mixer_settings.hpp \
	../src/qsnd/alsa.hpp \
	../src/qsnd/alsa_config_model.hpp \
	../src/qsnd/alsa_config_view.hpp \
	../src/qsnd/alsa_config_view_settings.hpp \
	../src/qsnd/alsa_i18n.hpp \
	../src/qsnd/controls_model.hpp \
	../src/qsnd/controls_view.hpp \
	../src/qsnd/mixer_ctl.hpp \
	../src/qsnd/mixer_ctl_proxy.hpp \
	../src/qsnd/mixer_ctl_proxy_enum.hpp \
	../src/qsnd/mixer_ctl_proxy_integer.hpp \
	../src/qsnd/mixer_ctl_proxy_switch.hpp \
	../src/qsnd/mixer_ctl_table_model.hpp \
	../src/qsnd/mixer_ctl_tree_model.hpp \
	../src/qsnd/mixer_events.hpp \
	../src/qsnd/mixer_ui_state.hpp \
	../src/qsnd/mixer_separation_info.hpp \
	../src/qsnd/mixer_sliders.hpp \
	../src/qsnd/mixer_sliders_proxies_column.hpp \
	../src/qsnd/mixer_sliders_proxies_group.hpp \
	../src/qsnd/mixer_sliders_proxy_slider.hpp \
	../src/qsnd/mixer_sliders_proxy_switch.hpp \
	../src/qsnd/mixer_sliders_status_bar.hpp \
	../src/qsnd/mixer_style.hpp \
	../src/qsnd/mixer_switches.hpp \
	../src/qsnd/mixer_switches_proxies_group.hpp \
	../src/qsnd/mixer_switches_proxy_enum.hpp \
	../src/qsnd/mixer_switches_proxy_switch.hpp \
	../src/qsnd/simple_mixer_settings.hpp \
	../src/qsnd/snd_card_info.hpp \
	../src/qsnd/snd_control_address.hpp \
	../src/qsnd/snd_ctl_info.hpp \
	../src/qsnd/snd_ctl_info_model.hpp \
	../src/qsnd/snd_mixer_ctl.hpp \
	../src/qsnd/snd_mixer_ctl_data.hpp \
	../src/qsnd/snd_mixer_ctl_elem.hpp \
	../src/qsnd/snd_mixer_simple.hpp \
	../src/qsnd/snd_mixer_simple_elem.hpp \
	../src/qsnd/snd_mixer_simple_single.hpp \
	../src/qsnd/snd_pcm_device_info.hpp \
	../src/side_interface.hpp \
	../src/single_application.hpp \
	../src/unix_signal_handler.hpp \
	../src/wdg/balloon_widget.hpp \
	../src/wdg/color_methods.hpp \
	../src/wdg/covered_input.hpp \
	../src/wdg/covered_spinbox.hpp \
	../src/wdg/cubic_curve.hpp \
	../src/wdg/ds_check_button.hpp \
	../src/wdg/ds_check_button_painter.hpp \
	../src/wdg/ds_check_button_painter_basic.hpp \
	../src/wdg/ds_check_button_pixmaps_meta.hpp \
	../src/wdg/ds_slider.hpp \
	../src/wdg/ds_slider_painter.hpp \
	../src/wdg/ds_slider_painter_basic.hpp \
	../src/wdg/ds_slider_pixmaps_meta.hpp \
	../src/wdg/ds_slider_test.hpp \
	../src/wdg/ds_slider_test_dialog.hpp \
	../src/wdg/equal_columns_layout.hpp \
	../src/wdg/equal_columns_layout_group.hpp \
	../src/wdg/fill_columns_layout.hpp \
	../src/wdg/label_elide.hpp \
	../src/wdg/label_width.hpp \
	../src/wdg/layout_weights.hpp \
	../src/wdg/pad_focus_info.hpp \
	../src/wdg/pass_events.hpp \
	../src/wdg/pixmaps_painter.hpp \
	../src/wdg/primitive_painter.hpp \
	../src/wdg/scroll_area_horizontal.hpp \
	../src/wdg/shared_pixmaps_set.hpp \
	../src/wdg/shared_pixmaps_set_buffer.hpp \
	../src/wdg/shared_pixmaps_set_hub.hpp \
	../src/wdg/shared_pixmaps_set_meta.hpp \
	../src/wdg/shared_pixmaps_set_painter.hpp \
	../src/wdg/sliders_pad.hpp \
	../src/wdg/sliders_pad_header.hpp \
	../src/wdg/sliders_pad_header_vars.hpp \
	../src/wdg/sliders_pad_layout.hpp \
	../src/wdg/sliders_pad_proxies_column.hpp \
	../src/wdg/sliders_pad_proxies_group.hpp \
	../src/wdg/sliders_pad_proxy.hpp \
	../src/wdg/sliders_pad_proxy_slider.hpp \
	../src/wdg/sliders_pad_proxy_switch.hpp \
	../src/wdg/static_tree.hpp \
	../src/wdg/static_tree_model.hpp \
	../src/wdg/switches_area.hpp \
	../src/wdg/switches_pad.hpp \
	../src/wdg/switches_pad_proxies_group.hpp \
	../src/wdg/switches_pad_proxy.hpp \
	../src/wdg/switches_pad_proxy_enum.hpp \
	../src/wdg/switches_pad_proxy_switch.hpp \
	../src/wdg/switches_pad_widgets.hpp \
	../src/wdg/switches_pad_widgets_group.hpp \
	../src/wdg/text_browser.hpp \
	../src/wdg/tree_view_kv.hpp \
	../src/wdg/uint_mapper.hpp

SOURCES = \
	../src/cmd_parse.cpp \
	../src/dialog_alsa_config.cpp \
	../src/dialog_info.cpp \
	../src/dialog_settings.cpp \
	../src/extra/prober.cpp \
	../src/extra/prober_overlay.cpp \
	../src/init_globals.cpp \
	../src/main.cpp \
	../src/main_mixer_window.cpp \
	../src/main_view.cpp \
	../src/main_view_info.cpp \
	../src/main_view_mixer_ctl.cpp \
	../src/main_view_mixer_simple.cpp \
	../src/message_widget.cpp \
	../src/mini_mixer.cpp \
	../src/mini_mixer_settings.cpp \
	../src/mixer_settings.cpp \
	../src/qsnd/alsa.cpp \
	../src/qsnd/alsa_config_model.cpp \
	../src/qsnd/alsa_config_view.cpp \
	../src/qsnd/alsa_config_view_settings.cpp \
	../src/qsnd/controls_model.cpp \
	../src/qsnd/controls_view.cpp \
	../src/qsnd/mixer_ctl.cpp \
	../src/qsnd/mixer_ctl_proxy.cpp \
	../src/qsnd/mixer_ctl_proxy_enum.cpp \
	../src/qsnd/mixer_ctl_proxy_integer.cpp \
	../src/qsnd/mixer_ctl_proxy_switch.cpp \
	../src/qsnd/mixer_ctl_table_model.cpp \
	../src/qsnd/mixer_ctl_tree_model.cpp \
	../src/qsnd/mixer_events.cpp \
	../src/qsnd/mixer_ui_state.cpp \
	../src/qsnd/mixer_separation_info.cpp \
	../src/qsnd/mixer_sliders.cpp \
	../src/qsnd/mixer_sliders_proxies_column.cpp \
	../src/qsnd/mixer_sliders_proxies_group.cpp \
	../src/qsnd/mixer_sliders_proxy_slider.cpp \
	../src/qsnd/mixer_sliders_proxy_switch.cpp \
	../src/qsnd/mixer_sliders_status_bar.cpp \
	../src/qsnd/mixer_style.cpp \
	../src/qsnd/mixer_switches.cpp \
	../src/qsnd/mixer_switches_proxies_group.cpp \
	../src/qsnd/mixer_switches_proxy_enum.cpp \
	../src/qsnd/mixer_switches_proxy_switch.cpp \
	../src/qsnd/simple_mixer_settings.cpp \
	../src/qsnd/snd_card_info.cpp \
	../src/qsnd/snd_control_address.cpp \
	../src/qsnd/snd_ctl_info.cpp \
	../src/qsnd/snd_ctl_info_model.cpp \
	../src/qsnd/snd_mixer_ctl.cpp \
	../src/qsnd/snd_mixer_ctl_data.cpp \
	../src/qsnd/snd_mixer_ctl_elem.cpp \
	../src/qsnd/snd_mixer_simple.cpp \
	../src/qsnd/snd_mixer_simple_elem.cpp \
	../src/qsnd/snd_mixer_simple_single.cpp \
	../src/qsnd/snd_pcm_device_info.cpp \
	../src/side_interface.cpp \
	../src/single_application.cpp \
	../src/unix_signal_handler.cpp \
	../src/wdg/balloon_widget.cpp \
	../src/wdg/color_methods.cpp \
	../src/wdg/covered_input.cpp \
	../src/wdg/covered_spinbox.cpp \
	../src/wdg/cubic_curve.cpp \
	../src/wdg/ds_check_button.cpp \
	../src/wdg/ds_check_button_painter.cpp \
	../src/wdg/ds_check_button_painter_basic.cpp \
	../src/wdg/ds_check_button_pixmaps_meta.cpp \
	../src/wdg/ds_slider.cpp \
	../src/wdg/ds_slider_painter.cpp \
	../src/wdg/ds_slider_painter_basic.cpp \
	../src/wdg/ds_slider_pixmaps_meta.cpp \
	../src/wdg/ds_slider_test.cpp \
	../src/wdg/ds_slider_test_dialog.cpp \
	../src/wdg/equal_columns_layout.cpp \
	../src/wdg/equal_columns_layout_group.cpp \
	../src/wdg/fill_columns_layout.cpp \
	../src/wdg/label_elide.cpp \
	../src/wdg/label_width.cpp \
	../src/wdg/layout_weights.cpp \
	../src/wdg/pad_focus_info.cpp \
	../src/wdg/pass_events.cpp \
	../src/wdg/pixmaps_painter.cpp \
	../src/wdg/primitive_painter.cpp \
	../src/wdg/scroll_area_horizontal.cpp \
	../src/wdg/shared_pixmaps_set.cpp \
	../src/wdg/shared_pixmaps_set_buffer.cpp \
	../src/wdg/shared_pixmaps_set_hub.cpp \
	../src/wdg/shared_pixmaps_set_meta.cpp \
	../src/wdg/shared_pixmaps_set_painter.cpp \
	../src/wdg/sliders_pad.cpp \
	../src/wdg/sliders_pad_header.cpp \
	../src/wdg/sliders_pad_header_vars.cpp \
	../src/wdg/sliders_pad_layout.cpp \
	../src/wdg/sliders_pad_proxies_column.cpp \
	../src/wdg/sliders_pad_proxies_group.cpp \
	../src/wdg/sliders_pad_proxy.cpp \
	../src/wdg/sliders_pad_proxy_slider.cpp \
	../src/wdg/sliders_pad_proxy_switch.cpp \
	../src/wdg/static_tree.cpp \
	../src/wdg/static_tree_model.cpp \
	../src/wdg/switches_area.cpp \
	../src/wdg/switches_pad.cpp \
	../src/wdg/switches_pad_proxies_group.cpp \
	../src/wdg/switches_pad_proxy.cpp \
	../src/wdg/switches_pad_proxy_enum.cpp \
	../src/wdg/switches_pad_proxy_switch.cpp \
	../src/wdg/switches_pad_widgets.cpp \
	../src/wdg/switches_pad_widgets_group.cpp \
	../src/wdg/text_browser.cpp \
	../src/wdg/tree_view_kv.cpp \
	../src/wdg/uint_mapper.cpp
